Subject: Re: [PATCH] remote.c: make match_refs() copy src ref before assigning to peer_ref

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2009 23:12:19 -0800

Jay Soffian <[email-masked]> writes:

> So there is no sane way to free the result.

Yeah, I am not disagreeing that this is a good change to make the function
easier to use.  There is no question about it.

I just found your description a bit unfair to the original author of the
codepath who was probably fully aware of this.

> I sent you a message off-list you may not have read yet.

Yes I have, but I was deep into tonight's integration cycle (I earlier
asked you to check the rebased result when I push it out --- that is what
I've been preparing).  I am almost done, and it will be pushed out
shortly, but it won't have your re-roll.  That will be after 1.6.2-rc2.